<?php
/*
Plugin Name: Personal Favicon
Version: 2.1.c
Description: Replace Piwigo fivicon by the favicon in local directory
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=462
Author: ddtddt
Author URI: http://piwigo.org/
*/

define('PFI_DIR' , basename(dirname(__FILE__)));
define('PFI_PATH' , PHPWG_PLUGINS_PATH . PFI_DIR . '/');

//Ajout du menu admin
add_event_handler('get_admin_plugin_menu_links', 'PersoFavicon_admin_menu');
function PersoFavicon_admin_menu($menu)
{
  array_push($menu, array(
	'NAME' => 'PersoFavicon',
    'URL' => get_admin_plugin_menu_link(PFI_PATH . 'admin/admin.php')));
  return $menu;
}


// Remplace le code dans le header
add_event_handler('loc_begin_page_header', 'Change_Favicon', 55 );

function Change_Favicon()
 {
	global $template;
	$template->set_prefilter('header', 'Favicon');
 }

function Favicon($content, &$smarty)
 {
  $search = '#<link rel="shortcut icon".*?favicon.ico">#';

	global $conf;
  
$favicon_name = & $conf['PersoFavicon'];

	if (!empty($favicon_name))
		{
  $replacement = '<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}local/'.$favicon_name.'.ico">';
		}
	else
		{
  $replacement = '<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}local/favicon.ico">';
		}
  return preg_replace($search, $replacement, $content);
 }

?>